DRUO
Get started
Recurring Plans

Create Recurring Plan

POSThttps://api.druo.com/recurring-plans/create

Creates a new Recurring Plan object.

This endpoint establishes a Recurring Plan, allowing you to automate payments or transfers based on a predefined schedule and frequency. The plan can use an existing end user or define a new one inline.

Request body

descriptionstringoptional

The description of this Recurring Plan.

processing_methodstringRequired

The processing method for the Recurring Plan.

Possible values:AUTOMATICSEND_REQUEST
merchant_idstringoptional

The ID of the merchant associated with this Recurring Plan.

start_datestringoptional

The scheduled start date. If not set, it defaults to the current date.

end_datestringoptional

The scheduled end date. If not set, the plan continues indefinitely.

total_cycle_countintegeroptional

The total number of cycles for the Recurring Plan.

cycle_frequencystringoptional

The frequency of the Recurring Plan cycles.

Possible values:DAILYWEEKLYMONTHLYSEMI_ANNUALLYYEARLY
existing_end_user_idstringoptional

The ID of an existing end user. Required if new_end_user_details is not provided.

new_end_user_detailsEndUseroptional

The details used to create a new end user. Required only if existing_end_user_id is not provided.

origin_account_idstringoptional

The ID of the account used to fund transactions in this plan.

The ID of the account that should receive the funds for transactions in this plan.

transactionobjectRequired

The transaction details for the Recurring Plan.

transaction.tenant_idstringRequired

The ID of the tenant that originated the transaction.

transaction.typestringRequired

The transaction type.

Possible values:PAYMENTPAYOUTTRANSFER
transaction.currencystringoptional

The type of currency in ISO 4217 format.

transaction.amountintegerRequired

The amount of money, in the smallest denomination of the currency (e.g., cents for USD).

The description that DRUO will report to financial institutions to appear on customer statements.

The primary reference of the transaction. Used to associate transaction records with an external system.

The secondary reference of the transaction. Used to associate transaction records with an external system.

transaction.metadataobjectoptional

Key-value pairs containing transaction metadata.

retry_sequence_idstringoptional

The ID of the retry sequence used to determine retry behavior for transactions that fail due to insufficient funds.

primary_referencestringoptional

The Recurring Plan's primary reference. Can be any value to associate the plan with an entity in an external system.

secondary_referencestringoptional

The Recurring Plan's secondary reference. Can be any value to associate the plan with an entity in an external system.

metadataobjectoptional

Key-value pairs containing additional information about the Recurring Plan.

Response

uuidstringoptional

The unique identifier (UUID) of the Recurring Plan.

Example: rcp_747536f4-1efd-4cad-91b3-cc8aaeed93e3
codestringoptional

The unique code of the Recurring Plan.

Example: SCSCDSVFGH
descriptionstringoptional

The description of the created Recurring Plan.

Example: Recurring Plan #1234567 for transaction 123455
processing_methodstringoptional

The processing method for the Recurring Plan.

Example: AUTOMATIC
statusstringoptional

The status of the Recurring Plan.

Example: ACTIVE
start_datestringoptional

The scheduled start date of the Recurring Plan.

Example: 2023-08-16T23:20:15.645+00:00
end_datestringoptional

The scheduled end date of the Recurring Plan.

Example: 2023-10-16T23:20:15.645+00:00
total_cycle_countintegeroptional

The total cycle count of the Recurring Plan.

Example: 4
cycle_frequencystringoptional

The cycle frequency of the Recurring Plan.

Example: MONTHLY
end_userEndUseroptional

The details of the end user associated with the Recurring Plan.

origin_accountstringoptional

The ID of the origin account.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
destination_accountstringoptional

The ID of the destination account.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
primary_referencestringoptional

The Recurring Plan's primary reference.

Example: 23423524
secondary_referencestringoptional

The Recurring Plan's secondary reference.

Example: bj39fhow39fhqp3f0hfae4344
transactionobjectoptional

The transaction details associated with the created Recurring Plan.

The UUID of the tenant that originated the transaction.

Example: 22637d15-5b37-4fb2-90e5-aa8751970469
transaction.typestringoptional

The transaction type.

Example: PAYMENT
transaction.currencystringoptional

The currency of the transaction in ISO 4217 format.

Example: USD
transaction.amountintegeroptional

The amount of the transaction in the smallest currency unit.

Example: 10000

The descriptor showing on bank statements.

Example: NOVO BILLING* INV12324

The primary reference of the transaction.

Example: Transaction primary reference

The secondary reference of the transaction.

Example: Transaction secondary reference
transaction.metadataobjectoptional

The metadata associated with the transaction.

Example: {"id_user": "69440", "transaction_xyz": "JOHN SMITH"}
metadataobjectoptional

Key-value pairs containing metadata about the Recurring Plan.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The creation timestamp of the Recurring Plan in GMT format.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last update timestamp of the Recurring Plan in GMT format.

Example: 2021-11-15T23:23:38Z
NextGETGet Recurring Plan